# RotatorTile XAML Control

The **Rotator Tile Control** is an ItemsControl that rotates through a set of items one-by-one. It enables you to show multiple items of data in a live-tile like way.

## Syntax

```xaml

<controls:RotatorTile x:Name="Tile1"
	Background="LightGray"
	Direction="Up" 
	Width="400"
	Height="200"
	Margin="20"/>

```

## Example Image

![RotatorTile animation](../resources/images/Controls-RotatorTile.gif "RotatorTile")

## Example Code

[RotatorTile Sample Page](https://github.com/Microsoft/UWPCommunityToolkit/tree/master/Microsoft.Toolkit.Uwp.SampleApp/SamplePages/RotatorTile)

## Default Template 

[RotatorTile XAML File](https://github.com/Microsoft/UWPCommunityToolkit/blob/master/Microsoft.Toolkit.Uwp.UI.Controls/RotatorTile/RotatorTile.xaml) is the XAML template used in the toolkit for the default styling.

## Requirements (Windows 10 Device Family)

| [Device family](http://go.microsoft.com/fwlink/p/?LinkID=526370) | Universal, 10.0.10586.0 or higher |
| --- | --- |
| Namespace | Microsoft.Toolkit.Uwp.UI.Controls |

## API

* [RotatorTile source code](https://github.com/Microsoft/UWPCommunityToolkit/tree/master/Microsoft.Toolkit.Uwp.UI.Controls/RotatorTile)

